import { FormConfig } from "/@/components/PageSearch";
import { tagTypeOptions } from "/@/views/purchase/orderRecord/config/_options";

import { statusOptions } from "./_options";
import { orderTypeCgOptions } from "/@/utils/status";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: 'timer',
      type: 'date_picker',
      otherOptions: {
        type: 'daterange',
        startProp: 'start',
        endProp: 'end',
        startPlaceholder: '开始时间',
        endPlaceholder: '结束时间'
      }
    },
    {
      field: 'companyNo',
      type: 'business-query'
    },
    {
      field: 'payNo',
      type: 'input',
      placeholder: '对账编号'
    },
    {
      field: "is_comon",
      type: "select",
      placeholder: "业务类型",
      span: 4,
      options: orderTypeCgOptions
    },
    {
      span: 4,
      field: 'tag_id',
      type: 'select',
      placeholder: '标签状态',
      options: tagTypeOptions
    },
    {
      span: 4,
      field: 'status',
      type: 'select',
      placeholder: '状态',
      options: statusOptions
    }
  ]
};

export default searchFormConfig;
