import { FormConfig } from "/@/components/PageSearch";
import { orderTypeCgOptions, purchPayReliveStatusOptions } from "/@/utils/status";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "timer",
      type: "date_picker",
      otherOptions: {
        type: "daterange",
        startProp: "start",
        endProp: "end",
        startPlaceholder: "申请开始时间",
        endPlaceholder: "申请结束时间"
      }
    },
    {
      field: "status",
      type: "select",
      placeholder: "审核状态",
      options: purchPayReliveStatusOptions
    },
    {
      field: "companyNo",
      type: "business-query"
    },
    {
      field: "returnCode",
      type: "input",
      placeholder: "付款解除编码"
    },
    {
      field: "payNo",
      type: "input",
      placeholder: "对账编码"
    },
    {
      type: "select",
      field: "is_comon",
      placeholder: "业务类型",
      span: 4,
      options: orderTypeCgOptions
    },
  ]
};

export default searchFormConfig;
