import { FormConfig } from "/@/components/PageSearch";
import { orderTypeCgOptions, sendPurchPayStatusOptions } from "/@/utils/status";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "timer",
      type: "date_picker",
      otherOptions: {
        type: "daterange",
        startProp: "startTime",
        endProp: "endTime",
        startPlaceholder: "开始日期",
        endPlaceholder: "结束日期"
      }
    },
    // {
    //   field: "companyNo",
    //   type: "input",
    //   placeholder: "买方公司编码"
    // },
    {
      field: "status",
      type: "select",
      placeholder: "审核状态",
      options: sendPurchPayStatusOptions
    },
    {
      field: "supplierNo",
      type: "supplier-query",
      placeholder: '物流供应商'
    },

    {
      field: "dzNo",
      type: "input",
      placeholder: "对账付款编码"
    },
    {
      field: "payNo",
      type: "input",
      placeholder: "对账编码"
    }
  ]
};

export default searchFormConfig;
