import { statusOptions, tagTypeOptions, payStatusOptions, invStatusOptions } from "./_options";
import { FormConfig } from "/@/components/PageSearch";
import { orderTypeCgOptions } from "/@/utils/status";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "timer",
      type: "date_picker",
      otherOptions: {
        type: "daterange",
        startProp: "startTime",
        endProp: "endTime",
        startPlaceholder: "开始日期",
        endPlaceholder: "结束日期"
      }
    },
    {
      field: "supplierNo",
      type: "supplier-query"
    },
    {
      field: "is_comon",
      type: "select",
      placeholder: "业务类型",
      span: 4,
      options: orderTypeCgOptions
    },
    {
      field: "status",
      type: "select",
      placeholder: "审核状态",
      span: 4,
      options: statusOptions
    },
    {
      field: "tag_id",
      type: "select",
      placeholder: "标签状态",
      span: 4,
      options: tagTypeOptions
    },
    {
      field: 'pay_status',
      type: 'select',
      span: 4,
      placeholder: '付款状态',
      options: payStatusOptions
    },
    {
      field: 'inv_status',
      type: 'select',
      placeholder: '回票状态',
      options: invStatusOptions
    },
    {
      field: "group",
      type_field: "group_type",
      type: "input_group",
      otherOptions: {
        inputGroupOptions: [
          { value: "payNo", label: "对账编码" }
        ]
      }
    }
  ]
};

export default searchFormConfig;
