import { FormConfig } from "/@/components/PageSearch";
import { checkTypeOptions, orderTypeCgOptions, sendTicketReturnStatusOptions } from "/@/utils/status";
// import { checkTypeOptions, invTypeOptions, statusOptions } from "./_opitons";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "create_timer",
      type: "date_picker",
      otherOptions: {
        type: "daterange",
        startProp: "start",
        endProp: "end",
        startPlaceholder: "新建起始时间",
        endPlaceholder: "新建结束时间"
      }
    },
    {
      field: "status",
      type: "select",
      placeholder: "审核状态",
      options: sendTicketReturnStatusOptions
    },
    {
      field: "companyNo",
      type: "business-query",
      placeholder: '业务公司'
    },
    {
      field: "checkApi",
      type: "select",
      placeholder: "发票查验方式",
      options: checkTypeOptions
    },
    {
      field: "hpNo",
      type: "input",
      placeholder: "对账回票编码"
    },
    {
      field: "payNo",
      type: "input",
      placeholder: "对账编码"
    },
    {
      field: "apply_name",
      type: "input",
      placeholder: "申请人"
    },
    // ,
    // {
    //   field: "open_timer",
    //   type: "date_picker",
    //   otherOptions: {
    //     type: "daterange",
    //     startProp: "open_start",
    //     endProp: "open_end",
    //     startPlaceholder: "开票起始日期",
    //     endPlaceholder: "开票结束日期"
    //   }
    // }
  ]
};

export default searchFormConfig;
